<?php 
// ================================================
// SPAW PHP WYSIWYG editor control
// ================================================
// Color picker dialog
// ================================================
// Developed: Alan Mendelevich, alan@solmetra.lt
// Copyright: Solmetra (c)2003 All rights reserved.
// ------------------------------------------------
//                                www.solmetra.com
// ================================================
// $Revision: 1.5 $, $Date: 2003/04/21 15:09:56 $
// ================================================

// include wysiwyg config
error_reporting(0);

include 'header.php';

$theme = empty($HTTP_GET_VARS['theme'])?$spaw_default_theme:$HTTP_GET_VARS['theme'];
$theme_path = '../lib/themes/'.$theme.'/';

$l = new SPAW_Lang(empty($HTTP_POST_VARS['lang'])?$HTTP_GET_VARS['lang']:$HTTP_POST_VARS['lang']);
$l->setBlock('colorpicker');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> 

<html> 
<head> 
<meta http-equiv="Pragma" content="no-cache"> 
<title><?php echo $l->m('title')?></title> 
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $l->getCharset()?>"> 
<link rel="stylesheet" type="text/css" href="<?php echo $theme_path.'css/'?>dialog.css"> 
<script language="javascript" src="utils.js"></script> 

<script language="javascript"> 
<!-- 
var cur_color; // passed color 
function Init() { 
cur_color = window.dialogArguments; 
if (cur_color != null) 
{ 
colorpicker.color.value = cur_color; 
sample.bgColor = cur_color; 
} 
resizeDialogToContent(); 
} 

function okClick() { 
window.returnValue = colorpicker.color.value; 
window.close(); 
} 

function cancelClick() { 
window.returnValue = cur_color; 
window.close(); 
} 

function imgOn(imgid) 
{ 
imgid.className = 'img_pick_over'; 
} 
function imgOff(imgid) 
{ 
imgid.className = 'img_pick'; 
} 
function selColor(colorcode) 
{ 
sample.bgColor = '#'+colorcode; 
colorpicker.color.value = '#'+colorcode; 
} 
function returnColor(colorcode) 
{ 
window.returnValue = '#'+colorcode; 
window.close(); 
} 
function setSample() 
{ 
sample.bgColor = colorpicker.color.value; 
} 
//--> 
</script> 
</head> 

<body onLoad="Init()" dir="<?php echo $l->getDir();?>"> 

<FIELDSET>
<table border="0" cellspacing="0" cellpadding="0"> 
<tr> 
<?php 
$color = array ('000000', '060606', '0c0c0c', '121212', '181818', '1e1e1e', '242424', '000000', '00002b', '000056', '000081', '0000ac', '0000d7', '0000ff', '002b00', '002b2b', '002b56', '002b81', '002bac', '002bd7', '002bff', '005600', '00562b', '005656', '005681', '0056ac', '0056d7', '0056ff', '252525', '2b2b2b', '313131', '373737', '3d3d3d', '434343', '494949', '2b0000', '2b002b', '2b0056', '2b0081', '2b00ac', '2b00d7', '2b00ff', '2b2b00', '2b2b2b', '2b2b56', '2b2b81', '2b2bac', '2b2bd7', '2b2bff', '2b5600', '2b562b', '2b5656', '2b5681', '2b56ac', '2b56d7', '2b56ff', '4a4a4a', '505050', '565656', '5c5c5c', '626262', '686868', '6e6e6e', '560000', '56002b', '560056', '560081', '5600ac', '5600d7', '5600ff', '562b00', '562b2b', '562b56', '562b81', '562bac', '562bd7', '562bff', '565600', '56562b', '565656', '565681', '5656ac', '5656d7', '5656ff', '6f6f6f', '757575', '7b7b7b', '818181', '878787', '8d8d8d', '939393', '810000', '81002b', '810056', '810081', '8100ac', '8100d7', '8100ff', '812b00', '812b2b', '812b56', '812b81', '812bac', '812bd7', '812bff', '815600', '81562b', '815656', '815681', '8156ac', '8156d7', '8156ff', '949494', '9a9a9a', 'a0a0a0', 'a6a6a6', 'acacac', 'b2b2b2', 'b8b8b8', 'ac0000', 'ac002b', 'ac0056', 'ac0081', 'ac00ac', 'ac00d7', 'ac00ff', 'ac2b00', 'ac2b2b', 'ac2b56', 'ac2b81', 'ac2bac', 'ac2bd7', 'ac2bff', 'ac5600', 'ac562b', 'ac5656', 'ac5681', 'ac56ac', 'ac56d7', 'ac56ff', 'b9b9b9', 'bfbfbf', 'c5c5c5', 'cbcbcb', 'd1d1d1', 'd7d7d7', 'dddddd', 'd70000', 'd7002b', 'd70056', 'd70081', 'd700ac', 'd700d7', 'd700ff', 'd72b00', 'd72b2b', 'd72b56', 'd72b81', 'd72bac', 'd72bd7', 'd72bff', 'd75600', 'd7562b', 'd75656', 'd75681', 'd756ac', 'd756d7', 'd756ff', 'dedede', 'e4e4e4', 'eaeaea', 'f0f0f0', 'f6f6f6', 'fcfcfc', 'ffffff', 'ff0000', 'ff002b', 'ff0056', 'ff0081', 'ff00ac', 'ff00d7', 'ff00ff', 'ff2b00', 'ff2b2b', 'ff2b56', 'ff2b81', 'ff2bac', 'ff2bd7', 'ff2bff', 'ff5600', 'ff562b', 'ff5656', 'ff5681', 'ff56ac', 'ff56d7', 'ff56ff', '008100', '00812b', '008156', '008181', '0081ac', '0081d7', '0081ff', '00ac00', '00ac2b', '00ac56', '00ac81', '00acac', '00acd7', '00acff', '00d700', '00d72b', '00d756', '00d781', '00d7ac', '00d7d7', '00d7ff', '00ff00', '00ff2b', '00ff56', '00ff81', '00ffac', '00ffd7', '00ffff', '2b8100', '2b812b', '2b8156', '2b8181', '2b81ac', '2b81d7', '2b81ff', '2bac00', '2bac2b', '2bac56', '2bac81', '2bacac', '2bacd7', '2bacff', '2bd700', '2bd72b', '2bd756', '2bd781', '2bd7ac', '2bd7d7', '2bd7ff', '2bff00', '2bff2b', '2bff56', '2bff81', '2bffac', '2bffd7', '2bffff', '568100', '56812b', '568156', '568181', '5681ac', '5681d7', '5681ff', '56ac00', '56ac2b', '56ac56', '56ac81', '56acac', '56acd7', '56acff', '56d700', '56d72b', '56d756', '56d781', '56d7ac', '56d7d7', '56d7ff', '56ff00', '56ff2b', '56ff56', '56ff81', '56ffac', '56ffd7', '56ffff', '818100', '81812b', '818156', '818181', '8181ac', '8181d7', '8181ff', '81ac00', '81ac2b', '81ac56', '81ac81', '81acac', '81acd7', '81acff', '81d700', '81d72b', '81d756', '81d781', '81d7ac', '81d7d7', '81d7ff', '81ff00', '81ff2b', '81ff56', '81ff81', '81ffac', '81ffd7', '81ffff', 'ac8100', 'ac812b', 'ac8156', 'ac8181', 'ac81ac', 'ac81d7', 'ac81ff', 'acac00', 'acac2b', 'acac56', 'acac81', 'acacac', 'acacd7', 'acacff', 'acd700', 'acd72b', 'acd756', 'acd781', 'acd7ac', 'acd7d7', 'acd7ff', 'acff00', 'acff2b', 'acff56', 'acff81', 'acffac', 'acffd7', 'acffff', 'd78100', 'd7812b', 'd78156', 'd78181', 'd781ac', 'd781d7', 'd781ff', 'd7ac00', 'd7ac2b', 'd7ac56', 'd7ac81', 'd7acac', 'd7acd7', 'd7acff', 'd7d700', 'd7d72b', 'd7d756', 'd7d781', 'd7d7ac', 'd7d7d7', 'd7d7ff', 'd7ff00', 'd7ff2b', 'd7ff56', 'd7ff81', 'd7ffac', 'd7ffd7', 'd7ffff', 'ff8100', 'ff812b', 'ff8156', 'ff8181', 'ff81ac', 'ff81d7', 'ff81ff', 'ffac00', 'ffac2b', 'ffac56', 'ffac81', 'ffacac', 'ffacd7', 'ffacff', 'ffd700', 'ffd72b', 'ffd756', 'ffd781', 'ffd7ac', 'ffd7d7', 'ffd7ff', 'ffff00', 'ffff2b', 'ffff56', 'ffff81', 'ffffac', 'ffffd7', 'ffffff'); 

$numElements = count($color); 
$row = 0; 
$label = 0; 
$number = 28; 

while (($row * $number) < $numElements) 
{ 
echo "<tr>\n"; 
while ($label < ($row * $number)) 
{ 
echo "<td bgcolor=\"#". $color[$label] . "\"><img id=\"img" . $color[$label] ."\" src=\"spacer.gif\" class=\"img_pick\" onMouseOver=\"imgOn(this)\" onMouseOut=\"imgOff(this)\" onClick=\"selColor('" . $color[$label] . "')\" onDblClick=\"returnColor('" . $color[$label] . "')\"></td>\n"; 
$label++; 
} 
echo "</tr>\n"; 
$row++; 
} 
?> 
</tr> 
</table> 

<table border="0" cellspacing="0" cellpadding="0" width="336"> 
<form name="colorpicker"> 
<tr> 
<td id="sample" align="left" width="80"><img src="spacer.gif" border="1" width="80" height="30" hspace="0" vspace="0"></td> 
</td> 
<td align="right" valign="bottom" width="80%" nowrap> 
<input type="text" id="color" name="color" size="7" maxlength="7" class="input_color" onKeyUp="setSample()"> 
<input type="button" value="<?php echo $l->m('ok')?>" onClick="okClick()" class="bt"> 
<input type="button" value="<?php echo $l->m('cancel')?>" onClick="cancelClick()" class="bt"> 
</td> 
</tr> 
</form> 
</table> 
</FIELDSET>
</body> 
</html> 
