<?php 
// ================================================
// SPAW PHP WYSIWYG editor control
// ================================================
// English language file
// ================================================
// Developed: Alan Mendelevich, alan@solmetra.lt
// Copyright: Solmetra (c)2003 All rights reserved.
// ------------------------------------------------
//                                www.solmetra.com
// ================================================
// v.1.0, 2003-03-20
// ================================================

// charset to be used in dialogs
$spaw_lang_charset = 'iso-8859-1';

// language text data array
// first dimension - block, second - exact phrase
// alternative text for toolbar buttons and title for dropdowns - 'title'

$spaw_lang_data = array(
  'new' => array(
    'title' => _AM_WANEWPAGE
  ),
  'refresh' => array(
    'title' => _AM_REFRESH
  ),
  'print' => array(
    'title' => _AM_WPRINT
  ),
  'cut' => array(
    'title' => _AM_WCUT
  ),
  'copy' => array(
    'title' => _AM_WCOPY
  ),
  'paste' => array(
    'title' => _AM_WPASTE
  ),
  'undo' => array(
    'title' => _AM_WUNDO
  ),
  'redo' => array(
    'title' => _AM_WREDO
  ),
  'selectall' => array(
    'title' => _AM_WSELECTALL
  ),
  'selectnone' => array(
    'title' => _AM_WSELECTNONE
  ),

  'image_insert' => array(
    'title' => _AM_WINSERTIMAGE,
    'select' => _AM_WSELECT,
    'cancel' => _AM_WCANCEL,
    'library' => _AM_WLIBRARY,
    'preview' => _AM_WPREVIEW,
    'images' => _AM_WIMAGES,
    'upload' => _AM_WUPLOADIMAGE,
    'upload_button' => _AM_WUPLOAD,
    'error' => _AM_WERROR,
    'error_no_image' => _AM_Werror_no_image,
    'error_uploading' => _AM_Werror_uploading,
    'error_wrong_type' => _AM_Werror_wrong_type,
    'error_no_dir' => _AM_Werror_no_dir,
  ),
  'image_prop' => array(
    'title' => _AM_WTITLE,
	'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
    'source' => _AM_WSOURCE,
    'alt' => _AM_WALT,
    'align' => _AM_WALIGN,
    'left' => _AM_WLEFT,
    'right' => _AM_WRIGHT,
    'top' => _AM_WTOP,
    'middle' => _AM_WMIDDLE,
    'bottom' => _AM_WBOTTOM,
    'absmiddle' => _AM_WABSMIDDLE,
    'texttop' => _AM_WTEXTTOP,
    'baseline' => _AM_WBASELINE,
    'width' => _AM_WWIDTH,
    'height' => _AM_WHEIGHT,
    'border' => _AM_WBORDER,
    'hspace' => _AM_WHSPACE,
    'vspace' => _AM_WVSPACE,
    'error' => _AM_WERROR,
    'error_width_nan' => _AM_WERROR_WIDTH_NAN,
    'error_height_nan' => _AM_WERROR_HEIGHT_NAN,
    'error_border_nan' => _AM_WERROR_BORDER_NAN,
    'error_hspace_nan' => _AM_WERROR_HSPACE_NAN,
    'error_vspace_nan' => _AM_WERROR_VSPACE_NAN,

  ),
  'hr' => array(
    'title' => _AM_WHRtitle
  ),
  'table_create' => array(
    'title' => _AM_WTBtitle
  ),
  'table_prop' => array(
    'title' => _AM_Wtable_prop,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
    'rows' => _AM_WROWS,
    'columns' => _AM_WCOLUMNS,
    'width' => _AM_WWIDTH,
    'height' => _AM_WHEIGHT,
    'border' => _AM_WBORDER,
    'pixels' => _AM_Wpixels,
    'cellpadding' => _AM_WCellpadding,
    'cellspacing' => _AM_WCellspacing,
    'bg_color' => _AM_Wbg_color,
    'error' => _AM_Werror,
    'error_rows_nan' => _AM_Werror_rows_nan,
    'error_columns_nan' => _AM_Werror_columns_nan,
    'error_width_nan' => _AM_Werror_width_nan,
    'error_height_nan' => _AM_Werror_height_nan,
    'error_border_nan' => _AM_Werror_border_nan,
    'error_cellpadding_nan' => _AM_Werror_cellpadding_nan,
    'error_cellspacing_nan' => _AM_Werror_cellspacing_nan,
  ),
  'table_cell_prop' => array(
    'title' => _AM_WCellPropstitle,
    'horizontal_align' => _AM_Whorizontal_align,
    'vertical_align' => _AM_Wvertical_align,
    'width' => _AM_WWIDTH,
    'height' => _AM_WHEIGHT,
    'css_class' => _AM_WCSSCLASS,
    'no_wrap' => _AM_Wno_wrap,
    'bg_color' => _AM_Wbg_color,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
    'left' => _AM_WLEFT,
    'center' => _AM_WCENTER,
    'right' => _AM_WRIGHT,
    'top' => _AM_WTOP,
    'middle' => _AM_WMIDDLE,
    'bottom' => _AM_WBOTTOM,
    'baseline' => _AM_WBASELINE,
    'error' => _AM_WERROR,
    'error_width_nan' => _AM_Werror_width_nan,
    'error_height_nan' => _AM_Werror_height_nan,
  ),
  'table_row_insert' => array(
    'title' => _AM_WIRtitle
  ),
  'table_column_insert' => array(
    'title' => _AM_WICtitle
  ),
  'table_row_delete' => array(
    'title' => _AM_WDRtitle
  ),
  'table_column_delete' => array(
    'title' => _AM_WDCtitle
  ),
  'table_cell_merge_right' => array(
    'title' => _AM_WMRtitle
  ),
  'table_cell_merge_down' => array(
    'title' => _AM_WMDtitle
  ),
  'table_cell_split_horizontal' => array(
    'title' => _AM_WSCHtitle
  ),
  'table_cell_split_vertical' => array(
    'title' => _AM_WSCVtitle
  ),
  'style' => array(
    'title' => _AM_WSTYLEtitle
  ),
  'font' => array(
    'title' => _AM_WFONTtitle
  ),
  'fontsize' => array(
    'title' => _AM_WSIZEtitle
  ),
  'paragraph' => array(
    'title' => _AM_WPARAtitle
  ),
  'insert_article' => array(
    'title' => _AM_WADDARTtitle
  ),
  'insert_news' => array(
    'title' => _AM_WADDNEWSSTORY
  ),
  'bold' => array(
    'title' => _AM_WBOLDtitle
  ),
  'italic' => array(
    'title' => _AM_WITLItitle
  ),
  'underline' => array(
    'title' => _AM_WUNDERtitle
  ),
  'strike' => array(
    'title' => _AM_STRIKETHROUGH
  ),
   'subscript' => array(
    'title' => _AM_STUBSCRIBE
  ), 
    'superscript' => array(
    'title' => _AM_SSUPERSCRIBE
  ), 
    'remove' => array(
    'title' => _AM_REMOVE
  ), 
  'ordered_list' => array(
    'title' => _AM_WODEREDtitle
  ),
  'bulleted_list' => array(
    'title' => _AM_WBULLETtitle
  ),
  'indent' => array(
    'title' => _AM_WINDEtitle
  ),
  'unindent' => array(
    'title' => _AM_WUNIDNETtitle
  ),
  'left' => array(
    'title' => _AM_WLEFT
  ),
  'center' => array(
    'title' => _AM_WCENTER
  ),
  'right' => array(
    'title' => _AM_WRIGHT
  ),
  'fore_color' => array(
    'title' => _AM_WFORECOLtitle
  ),
  'full' => array(
    'title' => _AM_WFULL
  ),
  'none' => array(
    'title' => _AM_WNONE
  ),
  'bg_color' => array(
    'title' => _AM_WBACKCOLtitle
  ),
  'design_tab' => array(
    'title' => _AM_WWYSIWYGDtitle
  ),
  'html_tab' => array(
    'title' => _AM_WHTMLD
  ),
  'colorpicker' => array(
    'title' => _AM_WCOLOURPtitle,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
  ),
  'charpicker' => array(
    'title' => _AM_WCHARTITLE,
    'cancel' => _AM_WCANCEL,
  ),
  'cleanup' => array(
    'title' => _AM_WHTMLtitle,
    'confirm' => _AM_Wconfirm,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
  ),
  'toggle_borders' => array(
    'title' => _AM_WTOGGLEBORDtitle,
  ),
  'insert_link' => array(
    'title' => _AM_INSERTLINK,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
    'linkinfo' => _AM_LINKINFO,
    'linktype' => _AM_LINKTYPE,
    'linktypeoth' => _AM_LINKTYPEOTH,
    'linktarg' => _AM_LINKTARG,
    'linkurl' => _AM_LINKURL,
    'linktargnone' => _AM_LINKTARGNONE,
    'linktargsame' => _AM_LINKTARGSAME,
    'linktargnew' => _AM_LINKTARGNEW,
    'linktargpar' => _AM_LINKTARGPAR,
    'linktargtop' => _AM_LINKTARGTOP,
  ),
  'unlink' => array(
    'title' => _AM_WREMOVELINKtitle
  ),
  'newpage' => array(
    'title' => _AM_WNEWPAGE
  ),
  'table_row_prop' => array(
    'title' => _AM_WRPROPtitle,
    'horizontal_align' => _AM_Whorizontal_align,
    'vertical_align' => _AM_Wvertical_align,
    'css_class' => _AM_WCSSCLASS,
    'no_wrap' => _AM_Wno_wrap,
    'bg_color' => _AM_Wbg_color,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
    'left' => _AM_WLEFT,
    'center' => _AM_WCENTER,
    'right' => _AM_WRIGHT,
    'top' => _AM_WTOP,
    'middle' => _AM_WMIDDLE,
    'bottom' => _AM_WBOTTOM,
    'baseline' => _AM_WBASELINE,
  ),
  'insert_char' => array(
    'title' => _AM_WSPCHACTITLE,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
  ),
  'change_case' => array(
    'title' => _AM_CHANGECASE,
    'cancel' => _AM_WCANCEL,
    'lowercase' => _AM_LOWCASE,
    'uppercase' => _AM_UPCASE,
    'titlecase' => _AM_TITCASE,
  ),
  'insert_marquee' => array(
    'title' => _AM_INSERTMARQUE,
  ),
  'insert_anchor' => array(
    'title' => _AM_INSERTANCHOR,
	'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
  ),
  'insert_date' => array(
    'title' => _AM_DATETITLE,
    'dateformat' => _AM_DATEFORMAT,
    'todaydate' => _AM_TODAYDATE,
  ),
  'insert_quote' => array(
    'title' => _AM_INSERTQUOTE,
  ),
  'insert_code' => array(
    'title' => _AM_INSERTCODE,
  ),
  'page_prop' => array(
    'title' => _AM_WPPtitle,
    'title_tag' => _AM_Wtitle_tag,
    'charset' => _AM_Wcharset,
    'background' => _AM_Wbackground,
    'bgcolor' => _AM_Wbgcolor,
    'text' => _AM_Wtext,
    'link' => _AM_Wlink,
    'vlink' => _AM_Wvlink,
    'alink' => _AM_Walink,
    'leftmargin' => _AM_Wleftmargin,
    'topmargin' => _AM_Wtopmargin,
    'css_class' => _AM_WCSSCLASS,
    'ok' => _AM_WOK,
    'cancel' => _AM_WCANCEL,
  ),
  'marquee_prop' => array(
    'title' => _AM_MARQTITLE,
    'direction' => _AM_MARQDIR,
    'left' => _AM_MARQDIRLEFT,
    'right' => _AM_MARQDIRRIGHT,
    'behaviour' => _AM_MARQBEH,
    'continuous' => _AM_MARQBEHCONT,
    'slide' => _AM_MARQBEHSL,
    'alternate' => _AM_MARQBEHALT,
    'marquee' => _AM_MARQNAME,
    'bgcolor' => _AM_MARQBGCOL,
    'width' => _AM_MARQWID,
    'height' => _AM_MARQHEI,
    'pixels' => _AM_MARQPIX,
    'percent' => _AM_MARQPERC,
    'scrollam' => _AM_MARQSCRAM,
    'speedcont' => _AM_MARQSPECONT,
    'scrolldelay' => _AM_MARQSCRDEL,
  ),
  'preview' => array(
    'title' => _AM_WPtitle,
  ),
  'image_popup' => array(
    'title' => _AM_WIPtitle,
  ),
  'zoom' => array(
    'title' => _AM_WZOOMtitle,
  ),
);
?>

