<?php 
// ================================================
// SPAW PHP WYSIWYG editor control
// ================================================
// Default toolbar data file
// ================================================
// Developed: Alan Mendelevich, alan@solmetra.lt
// Copyright: Solmetra (c)2003 All rights reserved.
// ------------------------------------------------
// www.solmetra.com
// ================================================
// v.1.0, 2003-03-22
// ================================================
// array to hold toolbar definitions
// first dimension - toolbar location (top, left, right, bottom)
// second dimension - toolbar row/column
// third dimension - settings/data
// fourth dimension - setting/toolbar item
// toolbar item: name - item name, type - item type (button, dropdown, separator, etc.)
$spaw_toolbar_data = array( 'top_design' => array( 
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'new',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'refresh',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'preview',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'print',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'cut',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'copy',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'paste',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'selectall',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'selectnone',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'newpage',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'undo',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'redo',
                    'type' => SPAW_TBI_BUTTON 
                    )
                ) // data
            ),
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'left',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'center',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'right',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'full',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'none',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'indent',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'unindent',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'ordered_list',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'bulleted_list',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ) 
                ) // data
            ),
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'bold',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'italic',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'underline',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'strike',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'subscript',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'superscript',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'remove',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'fore_color',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'bg_color',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'insert_link',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'unlink',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'image_insert',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'image_prop',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                ) // data
            ),
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'table_create',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_prop',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_cell_prop',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_row_insert',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_column_insert',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_row_delete',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_column_delete',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_cell_merge_right',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_cell_merge_down',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_cell_split_horizontal',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'table_cell_split_vertical',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'toggle_borders',
                    'type' => SPAW_TBI_BUTTON 
                    )
                 ) 
            ),
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'insert_char',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'change_case',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'insert_marquee',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'insert_anchor',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'insert_today',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'insert_quote',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'insert_code',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'hr',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'cleanup',
                    'type' => SPAW_TBI_BUTTON 
                    ) 
                 ) 
            ),
        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'style',
                    'type' => SPAW_TBI_DROPDOWN 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'font',
                    'type' => SPAW_TBI_DROPDOWN, 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'fontsize',
                    'type' => SPAW_TBI_DROPDOWN, 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'paragraph',
                    'type' => SPAW_TBI_DROPDOWN, 
                    ),
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),
            ), 
        ),

        array( 'settings' => array( 'align' => 'left',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'insert_news',
                    'type' => SPAW_TBI_DROPDOWN, 
                    ), 
                array( 'name' => 'vertical_separator',
                    'type' => SPAW_TBI_IMAGE 
                    ),                
				array( 'name' => 'insert_article',
                    'type' => SPAW_TBI_DROPDOWN, 
                    ), 
                ), 
            ), 
        ),

    'bottom_design' => array( 
        array( 'settings' => array( 'align' => 'right',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'design_tab_on',
                    'type' => SPAW_TBI_IMAGE 
                    ),
                array( 'name' => 'html_tab',
                    'type' => SPAW_TBI_BUTTON 
                    ), 
                ) // data
            ) 
        ),


    'bottom_html' => array( 
        array( 'settings' => array( 'align' => 'right',
                'valign' => 'top' 
                ),
            'data' => array ( 
                array( 'name' => 'design_tab',
                    'type' => SPAW_TBI_BUTTON 
                    ),
                array( 'name' => 'html_tab_on',
                    'type' => SPAW_TBI_IMAGE 
                    ), 
                ) // data
            ) 
        ), 
    );

?>
